Bug 247424 - sysutils/pwol: Update to 1.5.2
Summary: sysutils/pwol: Update to 1.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL: https://github.com/ptrrkssn/pwol/rele...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-19 14:44 UTC by Peter Eriksson
Modified: 2020-09-25 08:50 UTC (History)
2 users (show)

See Also:
pen: maintainer-feedback+


Attachments
Update port of pwol to version 1.5.2 (1.76 KB, patch)
2020-06-19 14:44 UTC, Peter Eriksson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Eriksson 2020-06-19 14:44:59 UTC
Created attachment 215790 [details]
Update port of pwol to version 1.5.2

Updates port to pwol version 1.5.2 (better documentation mainly, installs stripped binaries)
Comment 1 Lewis Cook freebsd_triage 2020-06-19 14:49:45 UTC
^Triage:

- If there is a changelog or release notes URL available for this version, please add it to the URL field

- Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 2 Automation User 2020-06-19 14:54:50 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/158099862
Comment 3 Muhammad Moinur Rahman freebsd_committer 2020-06-24 11:31:53 UTC
Hi Peter,
Your name and email address on pkg-descr seems redundant to Makefile MAINTAINER information. Am removing it. Plus the release note says "Mostly Makefile and portability fixes. Better documentation (man pages)."

Is the fix related to FreeBSD and do we need to merge quarterly ?
Comment 4 commit-hook freebsd_committer 2020-09-25 08:48:17 UTC
A commit references this bug:

Author: bofh
Date: Fri Sep 25 08:47:58 UTC 2020
New revision: 550001
URL: https://svnweb.freebsd.org/changeset/ports/550001

Log:
  sysutils/pwol: Update version 1.5.1=>1.5.2

  - Change INSTALL_TARGET to install-strip
  - Update pkg-descr

  PR:		247424
  Submitted by:	pen@lysator.liu.se (maintainer)
  Approved by:	pen@lysator.liu.se (maintainer)
  Relnotes:	https://github.com/ptrrkssn/pwol/releases

Changes:
  head/sysutils/pwol/Makefile
  head/sysutils/pwol/distinfo
  head/sysutils/pwol/pkg-descr
Comment 5 Muhammad Moinur Rahman freebsd_committer 2020-09-25 08:50:57 UTC
Committed with minor changes